Subject: RE: changing terminal colours
From: "Craveiro, Marco" <[email-masked]>
To: "[email-masked]'" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 17 May 2001 17:52:49 +0200

Hi Stick and cygwinners,

Is it possible to set the foreground (text) to the "real" yellow, instead of
the brownish yellow?
You don't mention it on your list... I'd like to go back to the old turbo
pascal days :-)

Cheers,

soup

> -----Original Message-----
> From:	[email-masked] [SMTP:[email-masked]]
> Sent:	Thursday, May 17, 2001 2:50 PM
> To:	[email-masked]
> Cc:	[email-masked]
> Subject:	Re: changing terminal colours
> 
> I've setup highlighting using definitions in the "termcap" file of my NT
> installation.  My file was located /etc/termcap
> then changed definitions pertaining to the TERM I am using.
> 
> For example:
> I changedthis:      so=\E[5;47;36m
> TO:            so=\E[5;43;30m
> 
> This gives me a yellow hightlight using black text. (Not sure why the
> blink
> code 5 works but it does)
> 
> Cheers,
> -Stick
> 
> # ATTRIBUTE STRINGS:
> # ------------------
> #
> #    00 = none
> #    01 = bold
> #    04 = underscore
> #    05 = blink
> #    07 = reverse
> #    08 = concealed
> #
> # COLOR STRINGS:
> # --------------
> #
> # COLOR   TEXT BACKGROUND
> #
> # black        30   40
> # red          31   41
> # green        32   42
> # yellow/brown 33   43
> # blue         34   44
> # magenta 35   45
> # cyan         36   46
> # white/gray   37   47
> 
> 
> 
> 
> 
> 
> 
> 
> [email-masked] on 05/17/2001 09:34:46 AM
> 
> To:   [email-masked]
> cc:    (bcc: Jeff Rozycki/EB/GDYN)
> Subject:  Re: changing terminal colours
> 
> 
> 
> 
> Absolutely nothing in my cygwin bash box.
> Cheers
> Don Sharp
> egor duda wrote:
> >
> > Hi!
> >
> > Thursday, 17 May, 2001 Alun Moon [email-masked] wrote:
> >
> > AM> The default shell starts up with light text on a dark background.
> >
> > AM> If I change the colours from the DOS-window properties menu, then
> > AM> although the colours change, things like the syntax highlighting in
> > AM> vim don't respond to the changes...
> >
> > things like syntax highlighting in vim are configured from within
> > things like vim itself. it's application task to configure terminal
> > colors
> >
> > AM> What's the mechanism for changing the colours within cygwin?
> >
> > similar to other unices -- to change color, send appropriate escape
> > sequence to terminal. cygwin terminal is supposed to be compatible
> > with vt100.
> >
> > for example, try this in your cygwin window:
> >
> > bash$ echo -e "\033[36;44m"
> >
> > and see what happens.
> >
> > Egor.            mailto:[email-masked] ICQ 5165414 FidoNet 2:5020/496.19
> >
> > --
> > Want to unsubscribe from this list?
> > Check out: http://cygwin.com/ml/#unsubscribe-simple
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 
> 
> 
> 

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple